diff --git python-sqlite3dbm/python-sqlite3dbm.spec python-sqlite3dbm/python-sqlite3dbm.spec.tmp
index 5fa49378d4..c7c24d8bd5 100644
--- python-sqlite3dbm/python-sqlite3dbm.spec
+++ python-sqlite3dbm/python-sqlite3dbm.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{module_name}
 Version:        0.1.4
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        SQLite-backed dictionary conforming to the dbm interface
 
 License:        ASL 2.0
@@ -17,12 +17,20 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-This module provides a SQLite-backed dictionary conforming to the dbm
-interface, along with a shelve class that wraps the dict and provides
-serialization for it.
+%global _description\
+This module provides a SQLite-backed dictionary conforming to the dbm\
+interface, along with a shelve class that wraps the dict and provides\
+serialization for it.\
 
 
+%description %_description
+
+%package -n python2-%{module_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{module_name}}
+
+%description -n python2-%{module_name} %_description
+
 %prep
 %setup -qn %{module_name}-%{version}
 
@@ -36,13 +44,17 @@ rm -rf %{buildroot}
 %{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
  
-%files
+%files -n python2-%{module_name}
 %doc README.md LICENSE.txt AUTHORS.txt CHANGES.txt
 %{python_sitelib}/%{module_name}
 %{python_sitelib}/%{module_name}-*.egg-info
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.4-11
+- Python 2 subpackage renamed to python2-sqlite3dbm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sqlparse/python-sqlparse.spec python-sqlparse/python-sqlparse.spec.tmp
index 3d2a6afbd3..d4c3d607b4 100644
--- python-sqlparse/python-sqlparse.spec
+++ python-sqlparse/python-sqlparse.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:           python-%{shortname}
 Version:        0.2.2
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Non-validating SQL parser for Python
 
 Group:          Development/Languages
@@ -44,12 +44,20 @@ BuildRequires:  python3-pytest-cov
 %endif # with_python3
 %endif # with_tests
 
-%description
-sqlparse is a tool for parsing SQL strings.  It can generate pretty-printed
-renderings of SQL in various formats.
-
+%global _description\
+sqlparse is a tool for parsing SQL strings.  It can generate pretty-printed\
+renderings of SQL in various formats.\
+\
 It is a python module, together with a command-line tool.
 
+%description %_description
+
+%package -n python2-%{shortname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{shortname}}
+
+%description -n python2-%{shortname} %_description
+
 %if %{with python3}
 %package -n     python3-%{shortname}
 Summary:        Non-validating SQL parser for Python
@@ -102,7 +110,7 @@ popd
 %endif # with_tests
 
 
-%files
+%files -n python2-%{shortname}
 %license LICENSE
 %doc AUTHORS CHANGELOG README.rst
 %{python2_sitelib}/*
@@ -117,6 +125,10 @@ popd
 %{_bindir}/sqlformat
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.2-4
+- Python 2 subpackage renamed to python2-sqlparse
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-squaremap/python-squaremap.spec python-squaremap/python-squaremap.spec.tmp
index af11db12ad..108508a3ca 100644
--- python-squaremap/python-squaremap.spec
+++ python-squaremap/python-squaremap.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-squaremap
 Version:        1.0.3
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        SquareMap for wxPython
 
 Group:          Development/Libraries
@@ -14,12 +14,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel
 
+%global _description\
+A simple wxPython control to display hierarchic data as a recursive set of\
+nested squares, each of which represents the relative size of a given child\
+within its parent.
+
+%description %_description
+
+%package -n python2-squaremap
+Summary: %summary
 Requires:       wxPython
+%{?python_provide:%python_provide python2-squaremap}
 
-%description
-A simple wxPython control to display hierarchic data as a recursive set of
-nested squares, each of which represents the relative size of a given child
-within its parent.
+%description -n python2-squaremap %_description
 
 %prep
 %setup -q -n SquareMap-%{version}
@@ -42,7 +49,7 @@ chmod +x $RPM_BUILD_ROOT/%{python2_sitelib}/squaremap/squaremap.py
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-squaremap
 %defattr(-,root,root,-)
 %doc
 %{python2_sitelib}/squaremap
@@ -50,6 +57,10 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.3-8
+- Python 2 subpackage renamed to python2-squaremap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-strainer/python-strainer.spec python-strainer/python-strainer.spec.tmp
index e9931f4440..0fdb5fccc1 100644
--- python-strainer/python-strainer.spec
+++ python-strainer/python-strainer.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-strainer
 Version:        0.1.4
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Tools to allow developers to cleanup web serialization objects
 
 Group:          Development/Languages
@@ -19,12 +19,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-Provides middleware for detecting and correcting errors in web pages that are
-served via the standard WSGI protocol used by most Python web frameworks. By
-default, validation errors are logged to the "strainer.middleware" channel
+%global _description\
+Provides middleware for detecting and correcting errors in web pages that are\
+served via the standard WSGI protocol used by most Python web frameworks. By\
+default, validation errors are logged to the "strainer.middleware" channel\
 using the standard Python logging module.
 
+%description %_description
+
+%package -n python2-strainer
+Summary: %summary
+%{?python_provide:%python_provide python2-strainer}
+
+%description -n python2-strainer %_description
+
 %prep
 %setup -q -n %{modname}-%{version}
 
@@ -40,10 +48,14 @@ rm -rf %{buildroot}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-strainer
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.4-11
+- Python 2 subpackage renamed to python2-strainer
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-subprocess32/python-subprocess32.spec python-subprocess32/python-subprocess32.spec.tmp
index d0a7cd8f67..94806935ae 100644
--- python-subprocess32/python-subprocess32.spec
+++ python-subprocess32/python-subprocess32.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-subprocess32
 Version:        3.2.6
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Backport of subprocess module from Python 3.2 to Python 2.*
 
 License:        Python
@@ -18,10 +18,18 @@ Source0:        http://python-subprocess32.googlecode.com/files/subprocess32-%{v
 BuildRequires:  python2-devel
 BuildRequires:  python-test
 
-%description
-Backport of the subprocess module from Python 3.2 for use on 2.x.
+%global _description\
+Backport of the subprocess module from Python 3.2 for use on 2.x.\
 
 
+%description %_description
+
+%package -n python2-subprocess32
+Summary: %summary
+%{?python_provide:%python_provide python2-subprocess32}
+
+%description -n python2-subprocess32 %_description
+
 %prep
 %setup -q -n subprocess32-%{version}
 
@@ -38,7 +46,7 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
 PYTHONPATH=$(pwd) %{__python} test_subprocess32.py
 
 
-%files
+%files -n python2-subprocess32
 %doc LICENSE README.txt
 %{python_sitearch}/_posixsubprocess.so
 %{python_sitearch}/subprocess32*.egg-info
@@ -46,6 +54,10 @@ PYTHONPATH=$(pwd) %{__python} test_subprocess32.py
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.2.6-8
+- Python 2 subpackage renamed to python2-subprocess32
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.6-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-sudsds/python-sudsds.spec python-sudsds/python-sudsds.spec.tmp
index af5ff01e87..4ba1a7247e 100644
--- python-sudsds/python-sudsds.spec
+++ python-sudsds/python-sudsds.spec.tmp
@@ -1,21 +1,29 @@
 Summary:       A python SOAP client modified for usage with Czech Databox
 Name:          python-sudsds
 Version:       1.0.1
-Release:       9%{?dist}
+Release:       10%{?dist}
 Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/sudsds-%{version}.tar.gz
 License:       LGPLv3+
 Group:         Development/Libraries
 BuildArch:     noarch
-Requires:      python >= 2.4
 BuildRequires: python-setuptools
 URL:           https://labs.nic.cz/page/969/datovka/
 
-%description
-sudsds is a fork of the suds library modified to meet the needs for
-interaction with the servers of Czech Databox. The modifications
-are related to HTTPS proxy, server certificate validation and other
+%global _description\
+sudsds is a fork of the suds library modified to meet the needs for\
+interaction with the servers of Czech Databox. The modifications\
+are related to HTTPS proxy, server certificate validation and other\
 SSL related functions.
 
+%description %_description
+
+%package -n python2-sudsds
+Summary: %summary
+Requires:      python >= 2.4
+%{?python_provide:%python_provide python2-sudsds}
+
+%description -n python2-sudsds %_description
+
 %prep
 %setup -q -n sudsds-%{version}
 
@@ -29,7 +37,7 @@ SSL related functions.
 rm -f %{buildroot}%{_datadir}/sudsds/{README,LICENSE.txt}
 rmdir %{buildroot}%{_datadir}/sudsds
 
-%files
+%files -n python2-sudsds
 %{python_sitelib}/suds*.egg-info
 %dir %{python_sitelib}/sudsds
 %dir %{python_sitelib}/sudsds/bindings
@@ -49,6 +57,10 @@ rmdir %{buildroot}%{_datadir}/sudsds
 %doc README LICENSE.txt
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.1-10
+- Python 2 subpackage renamed to python2-sudsds
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-svg-path/python-svg-path.spec python-svg-path/python-svg-path.spec.tmp
index 1ad416b5eb..bf4c4ba282 100644
--- python-svg-path/python-svg-path.spec
+++ python-svg-path/python-svg-path.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:               python-svg-path
 Version:            2.2
-Release:            2%{?dist}
+Release:            3%{?dist}
 Summary:            SVG path objects and parser
 
 Group:              Development/Libraries
@@ -19,17 +19,24 @@ BuildArch:          noarch
 BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 
-Requires:           python-setuptools
-
 %if 0%{?with_python3}
 BuildRequires:      python3-devel
 BuildRequires:      python3-setuptools
 %endif
 
-%description
-svg.path is a collection of objects that implement the different path
+%global _description\
+svg.path is a collection of objects that implement the different path\
 commands in SVG, and a parser for SVG path definitions.
 
+%description %_description
+
+%package -n python2-svg-path
+Summary: %summary
+Requires:           python-setuptools
+%{?python_provide:%python_provide python2-svg-path}
+
+%description -n python2-svg-path %_description
+
 %if 0%{?with_python3}
 %package -n python3-svg-path
 Summary:            SVG path objects and parser
@@ -75,7 +82,7 @@ pushd %{py3dir}
 popd
 %endif
 
-%files
+%files -n python2-svg-path
 %doc README.rst CHANGES.txt CONTRIBUTORS.txt
 %{python_sitelib}/svg/
 %{python_sitelib}/%{modname}-%{version}*
@@ -88,6 +95,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2-3
+- Python 2 subpackage renamed to python2-svg-path
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-svg/python-svg.spec python-svg/python-svg.spec.tmp
index 7ccb6dec34..4199fbd177 100644
--- python-svg/python-svg.spec
+++ python-svg/python-svg.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-svg
 Version:        0.2.2b
-Release:        12%{?dist}
+Release:        13%{?dist}
 Summary:        Python wrapper for svg
 
 Group:          Development/Libraries
@@ -13,10 +13,18 @@ BuildArch:      noarch
 BuildRequires:  python2-devel,python-setuptools
 BuildRequires:  python3-devel,python3-setuptools
 
-%description
-pySVG is a pure Python library to create/load and manipulate SVG documents.
+%global _description\
+pySVG is a pure Python library to create/load and manipulate SVG documents.\
+\
+It's main use is to "code" svg images.
 
-It's main use is to "code" svg images. 
+%description %_description
+
+%package -n python2-svg
+Summary: %summary
+%{?python_provide:%python_provide python2-svg}
+
+%description -n python2-svg %_description
 
 %package doc
 Summary: Documentation for python-syg
@@ -82,7 +90,7 @@ find $RPM_BUILD_ROOT -name '*.egg-info' | xargs rm -rf
 %{__python2} setup.py test
 %{__python3} setup.py test
 
-%files
+%files -n python2-svg
 %doc doc/license.txt
 %{python2_sitelib}/pysvg
 
@@ -95,6 +103,10 @@ find $RPM_BUILD_ROOT -name '*.egg-info' | xargs rm -rf
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.2b-13
+- Python 2 subpackage renamed to python2-svg
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2b-12
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tablib/python-tablib.spec python-tablib/python-tablib.spec.tmp
index bd502e992e..dc862340d7 100644
--- python-tablib/python-tablib.spec
+++ python-tablib/python-tablib.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:             python-tablib
 Version:          0.11.5
-Release:          2%{?dist}
+Release:          3%{?dist}
 Summary:          Format agnostic tabular data library (XLS, JSON, YAML, CSV)
 
 License:          MIT
@@ -16,19 +16,27 @@ BuildArch:        noarch
 
 BuildRequires:    python2-devel
 BuildRequires:    python-setuptools
-Requires:         PyYAML
 
-%description
-Tablib is a format-agnostic tabular dataset library, written in Python.
+%global _description\
+Tablib is a format-agnostic tabular dataset library, written in Python.\
+\
+Output formats supported:\
+\
+ - Excel (Sets + Books)\
+ - JSON (Sets + Books)\
+ - YAML (Sets + Books)\
+ - HTML (Sets)\
+ - TSV (Sets)\
+ - CSV (Sets)
 
-Output formats supported:
+%description %_description
 
- - Excel (Sets + Books)
- - JSON (Sets + Books)
- - YAML (Sets + Books)
- - HTML (Sets)
- - TSV (Sets)
- - CSV (Sets)
+%package -n python2-tablib
+Summary: %summary
+Requires:         PyYAML
+%{?python_provide:%python_provide python2-tablib}
+
+%description -n python2-tablib %_description
 
 %if 0%{?with_python3}
 %package -n python3-tablib
@@ -96,7 +104,7 @@ popd
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
 
-%files
+%files -n python2-tablib
 %license LICENSE
 %doc README.rst AUTHORS
 %{python2_sitelib}/%{modname}
@@ -112,6 +120,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.11.5-3
+- Python 2 subpackage renamed to python2-tablib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.5-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tambo/python-tambo.spec python-tambo/python-tambo.spec.tmp
index 35d76a6aaa..60d1c681ca 100644
--- python-tambo/python-tambo.spec
+++ python-tambo/python-tambo.spec.tmp
@@ -12,7 +12,7 @@
 
 Name:           python-%{pkgname}
 Version:        0.4.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A command line object dispatcher
 Group:          Development/Languages
 
@@ -31,10 +31,18 @@ BuildRequires:  python3-pytest
 BuildRequires:  python3-setuptools
 %endif # with_python3
 
-%description
-Use any argument parser you want for each sub-command. Easily manage each
+%global _description\
+Use any argument parser you want for each sub-command. Easily manage each\
 command as a self-contained application.
 
+%description %_description
+
+%package -n python2-tambo
+Summary: %summary
+%{?python_provide:%python_provide python2-tambo}
+
+%description -n python2-tambo %_description
+
 %if 0%{?with_python3}
 %package -n python3-tambo
 Summary:        A command line object dispatcher
@@ -86,7 +94,7 @@ py.test-%{python3_version} -v tambo/tests
 popd
 %endif # with_python3
 
-%files
+%files -n python2-tambo
 %{!?_licensedir:%global license %%doc}
 %doc README.rst
 %license LICENSE
@@ -101,6 +109,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.0-3
+- Python 2 subpackage renamed to python2-tambo
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tashaphyne/python-tashaphyne.spec python-tashaphyne/python-tashaphyne.spec.tmp
index c16cc8b7e6..8f3a73c1ed 100644
--- python-tashaphyne/python-tashaphyne.spec
+++ python-tashaphyne/python-tashaphyne.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:				python-%{modname}
 Version:			0.2
-Release:			8%{?dist}
+Release:			9%{?dist}
 Summary:			Arabic Light Stemmer and segmenter
 Summary(ar):		مقطّع خفيف في العربية
 Group:				Applications/Publishing
@@ -14,9 +14,17 @@ BuildArch:			noarch
 BuildRequires:		python2-devel
 BuildRequires:		python-setuptools
 
-%description
+%global _description\
 Arabic language text Stemmer and segmenter to be used by Python.
 
+%description %_description
+
+%package -n python2-%{modname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{modname}}
+
+%description -n python2-%{modname} %_description
+
 %description -l ar
 أداة تقطيع في اللّغة العربية للاستخدام ضمن بيئة بيثون.
 
@@ -31,12 +39,16 @@ sed -i 's:#!/usr/bin/python::g' %{modname}/{normalize.py,arabic_const.py}
 %install
 %{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
 
-%files
+%files -n python2-%{modname}
 %doc README
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{distname}-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-9
+- Python 2 subpackage renamed to python2-tashaphyne
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tbgrep/python-tbgrep.spec python-tbgrep/python-tbgrep.spec.tmp
index e9e4b33f89..7be5da988b 100644
--- python-tbgrep/python-tbgrep.spec
+++ python-tbgrep/python-tbgrep.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:             python-tbgrep
 Version:          0.3.0
-Release:          9%{?dist}
+Release:          10%{?dist}
 Summary:          Extract Python Tracebacks from text
 
 Group:            Development/Libraries
@@ -25,18 +25,26 @@ BuildRequires:    python3-devel
 BuildRequires:    python3-nose
 %endif
 
-%description
-A module & command-line tool for extracting Python tracebacks from text.
+%global _description\
+A module & command-line tool for extracting Python tracebacks from text.\
+\
+    $ tbgrep file1 file2 file3\
+    $ tail -f logfile | tbgrep\
+\
+tbgrep can extract tracebacks from logs of various formats. For example,\
+CherryPy starts the traceback on a line with other details (like module,\
+timestamp, etc), but the rest of the trace starts at the beginning of the\
+line. Apache logs, on the other hand, will prefix each line of the\
+traceback with this information. tbgrep is designed to these kinds of\
+situations
 
-    $ tbgrep file1 file2 file3
-    $ tail -f logfile | tbgrep
+%description %_description
 
-tbgrep can extract tracebacks from logs of various formats. For example,
-CherryPy starts the traceback on a line with other details (like module,
-timestamp, etc), but the rest of the trace starts at the beginning of the
-line. Apache logs, on the other hand, will prefix each line of the
-traceback with this information. tbgrep is designed to these kinds of
-situations
+%package -n python2-tbgrep
+Summary: %summary
+%{?python_provide:%python_provide python2-tbgrep}
+
+%description -n python2-tbgrep %_description
 
 %if 0%{?with_python3}
 %package -n python3-tbgrep
@@ -94,7 +102,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-tbgrep
 %doc README.rst LICENSE
 %{python_sitelib}/%{modname}
 %{python_sitelib}/%{modname}-%{version}*
@@ -110,6 +118,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.0-10
+- Python 2 subpackage renamed to python2-tbgrep
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-telepathy/python-telepathy.spec python-telepathy/python-telepathy.spec.tmp
index fda1ea4799..539d18189f 100644
--- python-telepathy/python-telepathy.spec
+++ python-telepathy/python-telepathy.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-telepathy
 Version:        0.15.19
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Python libraries for Telepathy
 
 Group:          Development/Languages
@@ -18,12 +18,19 @@ BuildRequires:  python-devel
 BuildRequires:  dbus-python >= 0.80
 BuildRequires:  libxslt
 
-Requires:       dbus-python >= 0.80
+
+%global _description\
+Python libraries for use in Telepathy clients and connection managers.\
 
 
-%description
-Python libraries for use in Telepathy clients and connection managers.
+%description %_description
 
+%package -n python2-telepathy
+Summary: %summary
+Requires:       dbus-python >= 0.80
+%{?python_provide:%python_provide python2-telepathy}
+
+%description -n python2-telepathy %_description
 
 %prep
 %setup -q -n telepathy-python-%{version}
@@ -45,13 +52,17 @@ make install DESTDIR=$RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-telepathy
 %defattr(-,root,root,-)
 %doc COPYING AUTHORS README NEWS examples/
 %{python_sitelib}/telepathy/
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.15.19-14
+- Python 2 subpackage renamed to python2-telepathy
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.19-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-tempita/python-tempita.spec python-tempita/python-tempita.spec.tmp
index 048c766edc..ea14e9e2bf 100644
--- python-tempita/python-tempita.spec
+++ python-tempita/python-tempita.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-tempita
 Version:        0.5.1
-Release:        16%{?dist}
+Release:        17%{?dist}
 Summary:        A very small text templating language
 
 Group:          Development/Languages
@@ -19,9 +19,17 @@ BuildRequires: python3-devel
 BuildRequires: python3-setuptools
 %endif # if with_python3
 
-%description
+%global _description\
 Tempita is a small templating language for text substitution.
 
+%description %_description
+
+%package -n python2-tempita
+Summary: %summary
+%{?python_provide:%python_provide python2-tempita}
+
+%description -n python2-tempita %_description
+
 %if 0%{?with_python3}
 %package -n python3-tempita
 Summary:        A very small text templating language
@@ -74,7 +82,7 @@ popd
 nosetests
 
 
-%files
+%files -n python2-tempita
 %{python_sitelib}/tempita/
 %{python_sitelib}/*.egg-info
 
@@ -85,6 +93,10 @@ nosetests
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.1-17
+- Python 2 subpackage renamed to python2-tempita
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-16
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-testrepository/python-testrepository.spec python-testrepository/python-testrepository.spec.tmp
index 783adbe285..bdd73fbfc3 100644
--- python-testrepository/python-testrepository.spec
+++ python-testrepository/python-testrepository.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.0.20
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        A repository of test results
 
 License:        ASL 2.0
@@ -26,17 +26,24 @@ BuildRequires:  python3-subunit
 BuildRequires:  python3-testtools
 BuildRequires:  python3-extras
 
-Requires:       python-fixtures
-Requires:       python-subunit
-Requires:       python-testtools
+%global _description\
+Provides a database of test results which can be used to\
+support easy developer workflows, supporting functionality\
+like isolating failing tests. Testrepository is compatible\
+with any test suite that can output subunit. This includes any\
+TAP test suite and any pyunit compatible test suite.
+
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
 Requires:       python-extras
+Requires:       python-testtools
+Requires:       python-subunit
+Requires:       python-fixtures
+%{?python_provide:%python_provide python2-%{pypi_name}}
 
-%description
-Provides a database of test results which can be used to
-support easy developer workflows, supporting functionality
-like isolating failing tests. Testrepository is compatible
-with any test suite that can output subunit. This includes any
-TAP test suite and any pyunit compatible test suite.
+%description -n python2-%{pypi_name} %_description
 
 %package -n python3-%{pypi_name}
 Summary:        A repository of test results (for Python 3)
@@ -81,7 +88,7 @@ popd
 
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.txt Apache-2.0
 %{_bindir}/testr
 %{python_sitelib}/%{pypi_name}
@@ -94,6 +101,10 @@ popd
 %{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.20-10
+- Python 2 subpackage renamed to python2-testrepository
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.20-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-testscenarios/python-testscenarios.spec python-testscenarios/python-testscenarios.spec.tmp
index a7a6938ced..f66a5531c3 100644
--- python-testscenarios/python-testscenarios.spec
+++ python-testscenarios/python-testscenarios.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.5.0
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Testscenarios, a pyunit extension for dependency injection
 
 License:        ASL 2.0 and BSD
@@ -18,7 +18,6 @@ BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-pbr
 
-Requires:       python-testtools
 %if 0%{?with_python3}
 BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
@@ -26,13 +25,22 @@ BuildRequires:  python3-testtools
 BuildRequires:  python3-pbr
 %endif # with_python3
 
-%description
-testscenarios provides clean dependency injection for python unittest style
-tests. This can be used for interface testing (testing many implementations via
-a single test suite) or for classic dependency injection (provide tests with
-dependencies externally to the test code itself, allowing easy testing in
+%global _description\
+testscenarios provides clean dependency injection for python unittest style\
+tests. This can be used for interface testing (testing many implementations via\
+a single test suite) or for classic dependency injection (provide tests with\
+dependencies externally to the test code itself, allowing easy testing in\
 different situations).
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-testtools
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{pypi_name}
 Summary:        Testscenarios, a pyunit extension for dependency injection
@@ -77,7 +85,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc Apache-2.0 BSD GOALS HACKING NEWS README doc/
 %{python_sitelib}/%{pypi_name}
 %{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -89,6 +97,10 @@ popd
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.0-7
+- Python 2 subpackage renamed to python2-testscenarios
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
